#!/bin/bash

#export DSN="postgres://testing:testing@localhost:15432/testing"
export DSN="postgres://localhost:15432/testing"

psql $DSN <<EOF
EXPLAIN (ANALYZE, BUFFERS, VERBOSE)
WITH last_semester_per_student AS MATERIALIZED (
	SELECT DISTINCT student_id, MAX(semester_id)
	FROM student_courses
	WHERE semester_id > 150
	GROUP BY student_id
)
SELECT count(*)
FROM student_courses
WHERE (student_id, semester_id) IN (
	SELECT student_id, semester_id
	FROM last_semester_per_student
);
EOF

echo "#### END TEST ####"
psql $DSN <<EOF
SELECT version();
EOF
